using MessagePack;
using Server.Core;

namespace NetWorkMessage
{
    [Message(MessageOpcode.UserPropChange)]
    [MessagePackObject]
    public class UserPropChangeMessage : MessageObject,IMessage
    {
        /// <summary>
        /// 玩家的 UserId
        /// </summary>
        [Key(0)]
        public int UserId;

        public static UserPropChangeMessage Create(int userId)
        {
            UserPropChangeMessage propChangeMessage = new UserPropChangeMessage();
            propChangeMessage.UserId = userId;
            return propChangeMessage;
        }
    }
}